Harmonize directory for installation of CMake files between Posix and Windows
Assignee: % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.7.1+

Module: CMake Compiler:

Operating System:

Description

During installation (make install), CMake creates and installs four files that are intended to allow a discovery of DCMTK from other
CMake projects using find_package().

Currently, these files are installed in different locations on Posix and Windows platforms, for no obvious reason. The responsible
code is in CMake/dcmtkPrepare.cmake:

if (UNIX)

set (DCMTK_INSTALL_CMKDIR "${CMAKE_INSTALL_LIBDIR}/cmake/dcmtk")
elseif (WIN32)

set (DCMTK_INSTALL_CMKDIR "cmake")
endif ()

This should be harmonized, probably using the Posix/Unix choice of directory.

History

#1 - 2024-01-16 18:50 - Jorg Riesmeier
- Target version changed from 3.7.1+ to 3.6.9

#2 - 2024-06-26 10:10 - Jorg Riesmeier

- Target version changed from 3.6.9 to 3.7.1+
